Bug 312181 - Blogilo don't unescape blog html titles correctly
Summary: Blogilo don't unescape blog html titles correctly
Status: RESOLVED FIXED
Alias: None
Product: blogilo
Classification: Unclassified
Component: general (show other bugs)
Version: 1.1
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Mehrdad Momeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-25 00:30 UTC by Francesco Frassinelli
Modified: 2013-02-26 18:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments
Screenshot (113.46 KB, image/png)
2013-01-04 18:07 UTC, Francesco Frassinelli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Frassinelli 2012-12-25 00:30:49 UTC
I tried to add http://viglug.org/ to my Blogilo blogs, and I get  "ViGLug amp; TraGuardi" as title, while I should get "ViGLug & TraGuardi".

Reproducible: Always

Steps to Reproduce:
1. Add a blog with a special character in the title
Actual Results:  
You get something like "amp;" if there's "&" in the title (for example).

Expected Results:  
It should get the correct character representation ("&" for the previous example)
Comment 1 Laurent Montel 2013-01-04 14:19:27 UTC
could you paste a screenshot please.
easier to show bug.
Thanks
Comment 2 Francesco Frassinelli 2013-01-04 18:07:58 UTC
Created attachment 76188 [details]
Screenshot
Comment 3 Laurent Montel 2013-01-11 07:37:16 UTC
Will look at soon.
Comment 4 Laurent Montel 2013-02-26 18:32:15 UTC
Git commit 60c80c8f25ecc0e1673be4408ef6a1b363528898 by Montel Laurent.
Committed on 26/02/2013 at 18:15.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 312181 - Blogilo don't unescape blog html titles correctly

FIXED-IN: 4.10.1

M  +3    -1    blogilo/src/addeditblog.cpp

http://commits.kde.org/kdepim/60c80c8f25ecc0e1673be4408ef6a1b363528898